Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
List of all members
ClpDisasterHandler Class Referenceabstract

Base class for Clp disaster handling. More...

`#include <ClpEventHandler.hpp>`

Inheritance diagram for ClpDisasterHandler:
[legend]
Collaboration diagram for ClpDisasterHandler:
[legend]

## Public Member Functions
Virtual methods that the derived classe should provide.
virtual void | intoSimplex ()=0
| Into simplex. More...
virtual bool | check () const =0
| Checks if disaster. More...
virtual void | saveInfo ()=0
| saves information for next attempt More...
virtual int | typeOfDisaster ()
| Type of disaster 0 can fix, 1 abort. More...
Constructors, destructor
| ClpDisasterHandler (ClpSimplex *model=NULL)
| Default constructor. More...
virtual | ~ClpDisasterHandler ()
| Destructor. More...
| ClpDisasterHandler (const ClpDisasterHandler &)
ClpDisasterHandler & | operator= (const ClpDisasterHandler &)
virtual ClpDisasterHandler * | clone () const =0
| Clone. More...
Sets/gets
void | setSimplex (ClpSimplex *model)
| set model. More...
ClpSimplex * | simplex () const
| Get model. More...

## Protected Attributes
Data members
The data members are protected to allow access for derived classes.
ClpSimplex * | model_
| Pointer to simplex. More...

## Detailed Description

Base class for Clp disaster handling.

This is here to allow for disaster handling. By disaster I mean that Clp would otherwise give up

Definition at line 138 of file ClpEventHandler.hpp.

## Constructor & Destructor Documentation

ClpDisasterHandler::ClpDisasterHandler | ( | ClpSimplex * | model = `NULL` | ) |

Default constructor.

virtual ClpDisasterHandler::~ClpDisasterHandler | ( |  | ) |
| virtual

Destructor.

ClpDisasterHandler::ClpDisasterHandler | ( | const ClpDisasterHandler & |  | ) |

## Member Function Documentation

virtual void ClpDisasterHandler::intoSimplex | ( |  | ) |
| pure virtual

Into simplex.

Implemented in OsiClpDisasterHandler.

virtual bool ClpDisasterHandler::check | ( |  | ) | const
| pure virtual

Checks if disaster.

Implemented in OsiClpDisasterHandler.

virtual void ClpDisasterHandler::saveInfo | ( |  | ) |
| pure virtual

saves information for next attempt

Implemented in OsiClpDisasterHandler.

virtual int ClpDisasterHandler::typeOfDisaster | ( |  | ) |
| virtual

Type of disaster 0 can fix, 1 abort.

Reimplemented in OsiClpDisasterHandler.

ClpDisasterHandler& ClpDisasterHandler::operator= | ( | const ClpDisasterHandler & |  | ) |

virtual ClpDisasterHandler* ClpDisasterHandler::clone | ( |  | ) | const
| pure virtual

Clone.

Implemented in OsiClpDisasterHandler.

void ClpDisasterHandler::setSimplex | ( | ClpSimplex * | model | ) |

set model.

ClpSimplex* ClpDisasterHandler::simplex | ( |  | ) | const
| inline

Get model.

Definition at line 176 of file ClpEventHandler.hpp.

## Member Data Documentation

ClpSimplex* ClpDisasterHandler::model_
| protected

Pointer to simplex.

Definition at line 187 of file ClpEventHandler.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/Clp/src/ClpEventHandler.hpp